Promoting KDE as a brand through KDE apps
Open, Needs TriagePublic

Description

Problem

KDE as a brand is not very well-known outside the FLOSS community. This makes it difficult for new applications developed within KDE become accepted by a wider audience. A recognised and familiar brand associated with other useful and attractive products would make it easier for users to decide to accept new KDE applications.

Possible Solution

There are already some KDE applications that have made breakthroughs in being adopted beyond our immediate community. We could use these popular applications as ambassadors for the KDE brand, asking them to include the KDE name, logo and link on their sites in prominent position, on the apps themselves, in presentations the project contributors give at events, and so on.

Justification

Projects under the KDE umbrella produce high quality applications. Many of these apps are becoming more and more popular even outside our community and can act as a potential gateway to other KDE software, more support and contributors, and FLOSS in general. By helping reinforce the KDE brand, they help other KDE projects which, in turn, can help them back. A strong, recognisable brand helps ease the adoption on behalf of wider audience for all projects and can help attract sponsorship and donations to KDE, which helps everybody.

TODO

  • Agree on and lay out a series of recommendations for
    • websites
    • announcements
    • slides
    • apps (KDE logo on splash screens?)
    • ... (please suggest more ideas in comments)
  • Contact projects
    • Krita @scottpetrovic who does web and UI for Krita, has answered in this thread and has kindly agreed to discuss branding solutions.
    • Kdenlive Talked to Jean Batptiste from Kdenlive and they will be joining the discussion shortly
    • digiKam @cgilles should be responsible for that
    • Falkon @drosca is here on behalf of Falkon. Thank you for joining in the debate. Falkon now includes the "Made by KDE" branding badge in their site. Thanks!

  • KDE PIM Branding included in KDE PIM's new wesbite. Thanks @dvratil!

  • ... (please suggest more projects we should contact in comments)
  • Get feedback from projects
  • Turn into official policy and put it on the wiki
  • Advise projects on how to implement the policy

Outcome

The end game of this task is to reach a consensus that helps us improve the visibility of the KDE brand and turn what we come up with into a series of guidelines other projects can use. What we decide on here will go into a document on the wiki so others can follow it and we end up having a homogeneous way of showing the KDE brand.

paulb created this task.Jul 3 2018, 11:43 AM
paulb added a comment.EditedJul 4 2018, 10:57 AM

We could suggest including a "badge" on splash screens and websites that could look like this:

To get started. In case that is difficult to see, it is the KDE logo in the lower left hand side and the text says "A KDE Community Project".

paulb updated the task description. (Show Details)Jul 4 2018, 11:09 AM

Krita is also currently updating their welcome screen over in D13861, we could suggest that they add a small monochrome KDE logo in a corner or something similar.

paulb added a comment.Jul 4 2018, 12:15 PM

Krita is also currently updating their welcome screen over in D13861,

Good to know.

we could suggest that they add a small monochrome KDE logo in a corner or something similar.

The logo by itself may not be enough, since most people outside the FLOSS community have no idea what it represents. For a while the logo should always be accompanied by a text so users can later identify the logo as "KDE". We don't want it to be intrusive, but, if this is going to work, it must be there.

paulb added a comment.Jul 4 2018, 12:17 PM

Can you help with this, @xyquadrat? Can you ask them to give us some feedback on what they would like to do? Maybe point them to this task?

I do all the website and UI stuff for Krita. Right now we have a couple places we mention KDE

  1. https://krita.org/en/ (a badge on top with the hero image)
  2. A link to "what is KDE" on our footer
  3. If someone clicks the "User community" section on the welcome screen, it will take people to the KDE forum

I am not quite sure what the goal of this ticket is. It sounds like you are focused right now on promoting KDE as a brand. How do you know KDE is not very well known? Why does KDE want to become more well known?

paulb added a comment.Jul 4 2018, 4:37 PM

I do all the website and UI stuff for Krita. Right now we have a couple places we mention KDE

  1. https://krita.org/en/ (a badge on top with the hero image)
  2. A link to "what is KDE" on our footer
  3. If someone clicks the "User community" section on the welcome screen, it will take people to the KDE forum

Yes, I have reviewed the website. I have no criticism to make about it. We are just talking about how to make KDE branding a bit more consistent across websites and maybe a make it a little more prominent, without letting it become intrusive or outshine the project's own application.

So I am not saying "Krita's site needs to improve". I am saying "Promo's efforts to make users more aware of KDE's brand needs to improve", and that's on us.

I am not quite sure what the goal of this ticket is. It sounds like you are focused right now on promoting KDE as a brand.

Well... we do work on multiple things simultaneously. We are not only focused on this.

How do you know KDE is not very well known?

Firstly because we have done some studies outside our immediate niche. A lot of the data we collected is anecdotal (we have few means) or have had to figure out indirectly from monitoring forums (such as tech subreddits) and online tech journals. So far evidence seems to point to the following: Within the FLOSS community, even among veteran members, KDE is still confused with a "being a desktop" as opposed to being a community and brand. New users are not sure what any of the different desktops are and tend to go with what come pre-installed with their distro. Outside the FLOSS community, the situation is even worse and users are not aware of KDE as a source of software in any significant way at all. "Linux" is just something you use by typing commands into a terminal.

Secondly because there hasn't been a sustained effort to make the KDE brand well-known. Unfortunately, a brand does not become well-known on its own in most cases. If the effort has not been consistent, then it is pretty safe to assume the brand is not well-known.

Why does KDE want to become more well known?

Because we want more users and companies to use KDE applications and Plasma. We also want more tech companies to see KDE software as something worth sponsoring and investing into.

A simple way to look at branding is as a short cut: if you clearly brand several already popular applications (such as Krita), users will be more likely to adopt new applications that you put out under the same brand even if they have never heard of the applications themselves.

It works both ways: Say, a videographer looking for a good painting application, thanks to Kdenlive, is made aware of the KDE brand and sees it associated with Krita. This may influence their decision and give it a try.

Hope that helps and thanks for reading and giving your insight.

We are also discussing long-term promo goals at T5782, which is where this is coming from. We would appreciate your feedback there, too.

alright. Thanks for the information. I would also like to see KDE grow so I am with you in my heart. I am just trying to think what it the most effective way to get people's attention.

Right now as I have seen with Krita, people seem to be more confused when they go to the KDE site than anything else. Developer types seem to get it, but non-developers types seem to mostly be confused by it.

I will take a look at the head task and see if I have any other ideas.

paulb added a comment.EditedJul 4 2018, 5:15 PM

alright. Thanks for the information. I would also like to see KDE grow so I am with you in my heart. I am just trying to think what it the most effective way to get people's attention.

Right now as I have seen with Krita, people seem to be more confused when they go to the KDE site than anything else. Developer types seem to get it, but non-developers types seem to mostly be confused by it.

I will take a look at the head task and see if I have any other ideas.

Oh! Modifying the KDE.org website is also in the plan. We had several tasks for that, one in particular (now closed because we reached a consensus: T8162) contemplates changing the structure of the site. One of the main ideas was to re-write some of the site to steer end users to a more user-friendly part where they can get their apps and so on and read or watch tutorials. Meanwhile we would try to not put off developers since they too would have their own section. There is backstage site we will work on to try things out and we will need input on that also. You would be a a good addition to the team for that.

I am glad you brought this up. It confirms we are on the same page.

samtuke added a subscriber: samtuke.Jul 4 2018, 8:30 PM

Right now as I have seen with Krita, people seem to be more confused when they go to the KDE site than anything else. Developer types seem to get it, but non-developers types seem to mostly be confused by it.

How about a new landing page aimed specifically at end users who a referred to KDE from external project websites, including a short 'exit intent' survey which asks users who leave the site about their understanding of the content and KDE brand?

It might also be interesting to track what proportion of new visitors to such a landing page register an account or otherwise participate on kde websites. Such metrics would put numbers on 'engagement' and make it more easily measurable over time.

paulb added a comment.Jul 4 2018, 10:38 PM

Right now as I have seen with Krita, people seem to be more confused when they go to the KDE site than anything else. Developer types seem to get it, but non-developers types seem to mostly be confused by it.

How about a new landing page aimed specifically at end users who a referred to KDE from external project websites, including a short 'exit intent' survey which asks users who leave the site about their understanding of the content and KDE brand?

Do you mean in KDE.org or on each of the projects' pages?

Do you mean in KDE.org or on each of the projects' pages?

KDE.org

paulb added a comment.Jul 5 2018, 8:53 AM

Do you mean in KDE.org or on each of the projects' pages?

KDE.org

What I thought. Okay, as mentioned above, we have a separate task for the re-design of KDE.org at T6842. Would you mind posting your idea on there so we can come back to it when we start the re-design and we don't forget about it? Maybe you could also link to this thread to give your comment some context.

paulb updated the task description. (Show Details)Jul 5 2018, 8:54 AM
paulb updated the task description. (Show Details)Jul 5 2018, 5:25 PM
paulb updated the task description. (Show Details)

I updated the https://userbase.kde.org/What_is_KDE a bit, it should now be more friendly towards non-Linux users and I've replaced a few old images. Who will contact which project to see how we can get this effort up and running?

paulb added a comment.Jul 6 2018, 8:32 AM

I updated the https://userbase.kde.org/What_is_KDE a bit, it should now be more friendly towards non-Linux users and I've replaced a few old images. Who will contact which project to see how we can get this effort up and running?

Nice. We should probably include updating userbase in general in the web re-design discussion and make it a proper task in its own right. I have the feeling that there is room for a lot of corrections and improvements, right?

paulb added a comment.EditedJul 6 2018, 8:38 AM

Getting back to including branding on applications and websites...

What should it be

  • Discreet, coherent with the rest of the environment (i.e.: it should not clash), but at the same time clearly visible. For example: Plasma shows a black and white KDE logo and text that reads "Made by KDE" in a lower right hand corner of the screen when it starts up. It is very, very unintrusive, but clearly visible, and it is quite elegant. I think we should aim for something like that, taking into account the look of each website and application.
  • We should discuss unifying format and wording. My intuition is that the current logo should be included, so users start recognising it, and there should be a short text that includes the word KDE: "Made by KDE", "A KDE Project", "A KDE Community Project", "A KDE Application", ... something like that. In the ong term, we can probably end up doing away with the text, but, for the moment, we may want users to associate the logo with "KDE".

Where should we place it

For applications, I am not sure. On the splash screen if there is one? Is there a place on the main screen of your applications where it would fit? I honestly don't know, you guys tell me.

As for the web, any branding, if it is to be effective, should probably be visible without having to scroll down or click on to another page. Data says that less than 30% of users scroll down to the bottom, and that is only if the content encourages the reader to scroll, like when you are reading an article that extends beyond the fold (study 1, 2 and 3).

On a web page that showcases an application, with a menu and links to downloads at the top of the page, I would assume that the incentive to scroll down to the bottom is even weaker.

I noticed that @scottpetrovic has already included a logo in the leading image. This is great, but I do have suggestion for another place, inspired by how they do it on the Plasma desktop and based on what I mention above. Below you can see my suggestions for Krita, Kdenlive and Falkon:

What do you think?

Further ideas

Include sample files with your applications and brand those. Some software projects (Hydrogen comes to mind) include sample files that highlight features of the software or are used didactically. Would this be something you would be interested in doing? If so, some of those files could also be branded with the watermarks of KDE and the app, or KDE's logo could be part of the sample itself... as long as it made sense, of course.

paulb updated the task description. (Show Details)Jul 6 2018, 8:38 AM
In T9122#150008, @paulb wrote:

I updated the https://userbase.kde.org/What_is_KDE a bit, it should now be more friendly towards non-Linux users and I've replaced a few old images. Who will contact which project to see how we can get this effort up and running?

Nice. We should probably include updating userbase in general in the web re-design discussion and make it a proper task in its own right. I have the feeling that there is room for a lot of corrections and improvements, right?

I have filed a new task for this (T9142), but I am not sure which groups to tag for such an effort.

  • We should discuss unifying format and wording. My intuition is that the current logo should be included, so users start recognising it, and there should be a short text that includes the word KDE: "Made by KDE", "A KDE Project", "A KDE Community Project", "A KDE Application", ... something like that. In the ong term, we can probably end up doing away with the text, but, for the moment, we may want users to associate the logo with "KDE".

"Made by KDE" sounds good, it shows that we are a community that makes software & it's short and to the point.

This one seems a bit off. It does not really fit into the page for me, even though I don't have a better idea on where to put it...

Here the logo integrates very nicely, +1.

Include sample files with your applications and brand those. Some software projects (Hydrogen comes to mind) include sample files that highlight features of the software or are used didactically. Would this be something you would be interested in doing? If so, some of those files could also be branded with the watermarks of KDE and the app, or KDE's logo could be part of the sample itself... as long as it made sense, of course.

I think this would be useful but can be very hard to do for most projects. Krita/Kdenlive could consider this, but for most other KDE programs it doesn't make sense to ship a sample file.

paulb added a subscriber: mlaurent.Jul 7 2018, 11:02 AM
In T9122#150008, @paulb wrote:

I updated the https://userbase.kde.org/What_is_KDE a bit, it should now be more friendly towards non-Linux users and I've replaced a few old images. Who will contact which project to see how we can get this effort up and running?

Nice. We should probably include updating userbase in general in the web re-design discussion and make it a proper task in its own right. I have the feeling that there is room for a lot of corrections and improvements, right?

I have filed a new task for this (T9142), but I am not sure which groups to tag for such an effort.

Maybe include KDE Promo for now? There may be a more appropriate, group, though. What team set up userbase originally?

  • We should discuss unifying format and wording. My intuition is that the current logo should be included, so users start recognising it, and there should be a short text that includes the word KDE: "Made by KDE", "A KDE Project", "A KDE Community Project", "A KDE Application", ... something like that. In the ong term, we can probably end up doing away with the text, but, for the moment, we may want users to associate the logo with "KDE".

"Made by KDE" sounds good, it shows that we are a community that makes software & it's short and to the point.

This one seems a bit off. It does not really fit into the page for me, even though I don't have a better idea on where to put it...

Yeah... I don't know. I had to shift things around to make it fit. I have contacted someone at Kdenlive to see if they can jump in with their own ideas.

The things is, If we can figure it out for three or four projects, with different designs, we will be in a better position to advise more projects as they come along.

Here the logo integrates very nicely, +1.

Thanks! Is @mlaurent in charge of the Falkon website also?

Include sample files with your applications and brand those. Some software projects (Hydrogen comes to mind) include sample files that highlight features of the software or are used didactically. Would this be something you would be interested in doing? If so, some of those files could also be branded with the watermarks of KDE and the app, or KDE's logo could be part of the sample itself... as long as it made sense, of course.

I think this would be useful but can be very hard to do for most projects. Krita/Kdenlive could consider this, but for most other KDE programs it doesn't make sense to ship a sample file.

Oh, yes. Only in applications where it makes sense: video-editors, graphic editors, etc.

Maybe include KDE Promo for now? There may be a more appropriate, group, though. What team set up userbase originally?

Done, I added the docs team as well but didn't get any responses yet.

Oh, yes. Only in applications where it makes sense: video-editors, graphic editors, etc.

Okay, sounds good to me then. Maybe we should get the VDG involved for that, they might be able to draft up some sample files that look consistent across the board.

How should we go forward about this? Which projects should be contacted next, and who is going to contact whom?

paulb updated the task description. (Show Details)Jul 14 2018, 6:32 PM
paulb added a comment.Jul 14 2018, 6:38 PM

How should we go forward about this? Which projects should be contacted next, and who is going to contact whom?

I contacted Kdenlive and they will join the discussion soon. It would be good to get some more projects with front-end interfaces (although we should look at frameworks like Kirigami also) so we don't decide on anything that turns out to be unpopular.

Who would be in charge of these kind o things for Falkon, for example?

Meanwhile we can start drafting the guidelines. Are there any objections to the blurb ("Made by KDE"), the format with the KDE symbol, and where it should be located on the website (that is, somewhere near the top of the landing pages as shown in the images above)?

Sorry that I've gone quiet for a while, this task somehow disappeared from my mind... According to the commits to the Falkon site, @drosca is in charge of the web part of Falkon, so we should ask him to get involved into this effort.

Meanwhile we can start drafting the guidelines. Are there any objections to the blurb ("Made by KDE"), the format with the KDE symbol, and where it should be located on the website (that is, somewhere near the top of the landing pages as shown in the images above)?

"Made by KDE" sounds good to me; it's short and to the point. I am still not convinced by the integration into the Kdenlive website, but @mardelle probably also has his own opinion/idea on how to include the logo.

paulb added a comment.Jul 28 2018, 4:13 PM

Sorry that I've gone quiet for a while, this task somehow disappeared from my mind... According to the commits to the Falkon site, @drosca is in charge of the web part of Falkon, so we should ask him to get involved into this effort.

Meanwhile we can start drafting the guidelines. Are there any objections to the blurb ("Made by KDE"), the format with the KDE symbol, and where it should be located on the website (that is, somewhere near the top of the landing pages as shown in the images above)?

"Made by KDE" sounds good to me; it's short and to the point. I am still not convinced by the integration into the Kdenlive website,

Well, that is just a very early suggestion. It would be good to put it somewhere unobtrusive, but visible nonetheless when a visitor lands on the page.

but @mardelle probably also has his own opinion/idea on how to include the logo.

Yes, you have to figure out how best to integrate in the site.

Three suggestions on where you could put it, but I am generally not good in design so others should probably figure out the details.

In T9122#150138, @paulb wrote:

Here the logo integrates very nicely, +1.

It's too big, otherwise it looks fine. Also note that the same thing is already in footer.

Thanks! Is @mlaurent in charge of the Falkon website also?

Repository is at websites/falkon-org.git, feel free to make a patch.

paulb added a comment.Jul 29 2018, 8:42 AM

It's too big, otherwise it looks fine.

Oh, yes. It is a 5-minute hack job, a draft. It would have to be adjusted of course.

Also note that the same thing is already in footer.

Which is great. Unfortunately, even the most optimistic statistics say that less than 30% of visitors ever scroll at all. See my comment above. This is why we are asking projects if they could kindly put the message and link at the top somewhere.

Repository is at websites/falkon-org.git, feel free to make a patch.

I have found the repository, but me modifying it may not be a great idea. Firstly (and mainly) I am unfamiliar with the structure and framework you are using for the site. It would be very easy for me to mess up. Secondly, this is the responsibility of whoever is in charge of the site. This would be the person who doesn't only have the technical knowledge, but also knows what the changes should look like so they perfectly integrated with the general look of your site. This would be the best person to make any changes.

Please note we are not trying to impose our criteria here or create more unjustified work for already busy project contributors. We just want different projects to support KDE so that KDE can support the projects back. We believe that small things like this will have a long term positive effect. Please see this comment to read about the reasoning behind this task.

Thanks for your help.

paulb updated the task description. (Show Details)Jul 29 2018, 8:44 AM
paulb updated the task description. (Show Details)
paulb added a comment.EditedJul 31 2018, 11:20 PM

@xyquadrat has sent in these screencaps of what the Falkon website will look like with the KDE branding:

Mobile website (a draft that needs tweaking):

They look good, right? And the branding is not intrusive at all.

drosca added a comment.Aug 1 2018, 3:27 PM
In T9122#153244, @paulb wrote:

They look good, right? And the branding is not intrusive at all.

Yes, this looks fine.

In T9122#153244, @paulb wrote:

They look good, right? And the branding is not intrusive at all.

Looks good IMO

paulb added a comment.Sep 1 2018, 7:08 AM

If we are all in agreement, maybe we should start implementing this so we can move on and have examples to show over projects.

paulb updated the task description. (Show Details)Sep 13 2018, 11:17 AM
paulb updated the task description. (Show Details)Sep 13 2018, 11:33 AM
paulb added a subscriber: dvratil.
paulb updated the task description. (Show Details)Oct 4 2018, 10:26 AM
paulb added a subscriber: kfunk.
paulb updated the task description. (Show Details)Nov 1 2018, 12:14 PM

Regarding Digikam: I am not sure where on their website (https://digikam.org) to put a "Made by KDE"... Maybe to the left of the "Download" button? I think it'd also be great if we could somehow have a presence in the application, as Digikam is one of the projects that is often used standalone, without any other KDE software (similar to Krita). According to the git history, @cgilles is probably the most active Digikam developer, so we should discuss this with him.

xyquadrat updated the task description. (Show Details)Nov 5 2018, 8:19 PM
paulb added a comment.Nov 5 2018, 8:29 PM

Regarding Digikam: I am not sure where on their website (https://digikam.org) to put a "Made by KDE"... Maybe to the left of the "Download" button? I think it'd also be great if we could somehow have a presence in the application, as Digikam is one of the projects that is often used standalone, without any other KDE software (similar to Krita). According to the git history, @cgilles is probably the most active Digikam developer, so we should discuss this with him.

Yes, I have emailed @cgilles and the digiKam mailing list, but I have not received a response. If anybody knows him personally (I don't) and would like to ask him about his thoughts on this, it may speed things up.

Heu, sorry but i responded... in mailing list...

http://digikam.1695700.n4.nabble.com/KDE-branding-for-digiKam-td4707143.html

Voilà...

Gilles Caulier

paulb added a comment.Nov 5 2018, 9:42 PM

Right. Of course. I was under the impression that an answer to my email in the list would magically make it back to me. Thanks for responding.

Why not to put "A KDE family project" in small on the bottom of splash-screen, as we do on the bottom of www.digikam.org.

As we argue above, visitors to websites tend to not scroll down at all, even less to the end of the page. As the purpose of branding is to become visible, putting it at the bottom of the page is not a good idea.

As for the wording you suggest, I like it a lot. Is friendly. Unfortunately we already agreed on "Made by KDE" and some other projects already adopted that wording. It has also been the wording on what appears while Plasma is booting for some time now.

All of the above are only suggestions, of course. Do you think you could adapt your KDE branding to what we agreed to?

I feel like hosting community projects under the kde.org subdomain would go a long way towards brand recognition(krita.kde.org, kdenlive.kde.org)